# BEGIN SourceDeps(oneline):
BuildRequires: perl(Dist/Zilla/File/InMemory.pm) perl(Dist/Zilla/Role/FileGatherer.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Mojolicious.pm) perl(Moose.pm) perl(Path/Tiny.pm) perl(Stenciller.pm) perl(Stenciller/Plugin/ToMojoliciousTest.pm) perl(String/Cushion.pm) perl(Syntax/Feature/Qi.pm) perl(Test/DZil.pm) perl(Test/Differences.pm) perl(Test/Mojo/Trim.pm) perl(Test/More.pm) perl(Test/Warnings.pm) perl(Types/Path/Tiny.pm) perl(Types/Standard.pm) perl(namespace/autoclean.pm) perl(syntax.pm)
# END SourceDeps(oneline)
%define module_name Dist-Zilla-Plugin-Stenciller-MojoliciousTests
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.0200
Release: alt1
Summary: Create Mojolicious tests from text files parsed with Stenciller
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Dist-Zilla-Plugin-Stenciller-MojoliciousTests

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CS/CSSON/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Dist::Zilla::Plugin::Stenciller::MojoliciousTests uses the Stenciller manpage and the Stenciller::Plugin::ToMojoliciousTest manpage to turn
stencil files in `source_directory' (that matches the `file_pattern') into
test files in `output_directory' by applying the `template_file'.

This the Dist::Zilla manpage plugin does the `FileGatherer' role.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_privlib/D*

%changelog
* Tue Jan 22 2019 Igor Vlasenko <viy@altlinux.ru> 0.0200-alt1
- initial import by package builder

